Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 18071
Description

QGIS is great, and its composer rocks; however, the current frame join style isn't great (see attached map frame), it really isn't playing
nice when it comes to thick frames. Doing more and more compositions via qgis itself, this has become a near-daily irritant.

Relying on miter join would be a much nicer setting for near-all case scenarios. It's also be in line with Inkscape (where miter join is
default) and HTML/CSS styling (where miter join is the only avaiable option)

Ideally, it would be nice for the frame panel of composer items to offer the three possible joint styles (bevel, miter, round). No string
translation needed as strings already present for the Outline: Simple line symbology.

History

#1 - 2014-02-04 05:46 AM - Mathieu Pellerin - nIRV

Just a small update on the above. | think there's both an issue and a feature request at play here :)

The issue: the current join style (bevel) used in qgis composer is not very friendly to most layouts; that IMO is worth fixing before 2.2 release and should
involve modifying most probably a single line of code.
The request: to offer the most versatility, the user should be able to select join style used by composer items via a drop down list (just like outline: simple

line symbology).

#2 - 2014-02-05 04:28 AM - Nyall Dawson

- Tracker changed from Bug report to Feature request

#3 - 2014-04-14 06:55 AM - Mathieu Pellerin - nIRV
- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Assignee set to Nyall Dawson

- Status changed from Open to Closed
